image: python:latest
stages:
  # - test
  - publish
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"
cache:
  paths:
    - ".cache/pip"
    - ".tox"
# test:
#   script:
#   - pip install tox
#   - tox
publish:
  stage: publish
  script:
    - pip install twine build
    - python -m build .
    - twine check dist/*
    - TWINE_PASSWORD=${CI_JOB_TOKEN} TWINE_USERNAME=gitlab-ci-token python -m twine
      upload --verbose --repository-url ${CI_API_V4_URL}/projects/5465/packages/pypi dist/*
  only:
    - tags
